F: package/gupnp-dlna/
F: package/gupnp-tools/
F: package/hiredis/
+F: package/i2pd/
F: package/igd2-for-linux/
F: package/libcdio-paranoia/
F: package/libmpdclient/
source "package/hostapd/Config.in"
source "package/hplip/Config.in"
source "package/httping/Config.in"
+ source "package/i2pd/Config.in"
source "package/ibrdtn-tools/Config.in"
source "package/ibrdtnd/Config.in"
source "package/ifenslave/Config.in"
--- /dev/null
+From 6d15be9a32989b0d00312a5b2589e36ba0ea7836 Mon Sep 17 00:00:00 2001
+From: Fabrice Fontaine <fontaine.fabrice@gmail.com>
+Date: Sun, 4 Mar 2018 18:29:13 +0100
+Subject: [PATCH] Fix cmake error when -DBUILD_SHARED_LIBS=ON
+
+Fixes "CMake Error: TARGETS given no LIBRARY DESTINATION for shared
+library target" by adding LIBRARY parameter to INSTALL call
+
+Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
+---
+ build/CMakeLists.txt | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/build/CMakeLists.txt b/build/CMakeLists.txt
+index 4f875b33..a1c8957b 100644
+--- a/build/CMakeLists.txt
++++ b/build/CMakeLists.txt
+@@ -97,6 +97,7 @@ set_target_properties(libi2pd PROPERTIES PREFIX "")
+ install(TARGETS libi2pd
+ EXPORT libi2pd
+ ARCHIVE DESTINATION lib
++ LIBRARY DESTINATION lib
+ COMPONENT Libraries)
+ # TODO Make libi2pd available to 3rd party projects via CMake as imported target
+ # FIXME This pulls stdafx
+--
+2.14.1
+
--- /dev/null
+From 1d934bd543360bfdd40e1501d16d8beb2016ccd8 Mon Sep 17 00:00:00 2001
+From: Fabrice Fontaine <fontaine.fabrice@gmail.com>
+Date: Mon, 5 Mar 2018 14:55:54 +0100
+Subject: [PATCH] Install libi2pdclient
+
+When building with -DBUILD_SHARED_LIBS=ON, libi2pdclient is not
+installed on target so install it by calling install. Moreover, rename
+i2pdclient to libi2pdclient so library is installed with correct name.
+
+Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
+---
+ build/CMakeLists.txt | 16 +++++++++++-----
+ 1 file changed, 11 insertions(+), 5 deletions(-)
+
+diff --git a/build/CMakeLists.txt b/build/CMakeLists.txt
+index a1c8957b..364c3304 100644
+--- a/build/CMakeLists.txt
++++ b/build/CMakeLists.txt
+@@ -120,7 +120,13 @@ set (CLIENT_SRC
+ if(WITH_WEBSOCKETS)
+ list (APPEND CLIENT_SRC "${LIBI2PD_CLIENT_SRC_DIR}/Websocket.cpp")
+ endif ()
+-add_library(i2pdclient ${CLIENT_SRC})
++add_library(libi2pdclient ${CLIENT_SRC})
++set_target_properties(libi2pdclient PROPERTIES PREFIX "")
++install(TARGETS libi2pdclient
++ EXPORT libi2pdclient
++ ARCHIVE DESTINATION lib
++ LIBRARY DESTINATION lib
++ COMPONENT Libraries)
+
+ set(DAEMON_SRC_DIR ../daemon)
+
+@@ -304,7 +310,7 @@ if (WITH_PCH)
+ WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+ )
+ target_compile_options(libi2pd PRIVATE /FIstdafx.h /Yustdafx.h /Zm155 "/Fp${CMAKE_BINARY_DIR}/stdafx.dir/$<CONFIG>/stdafx.pch")
+- target_compile_options(i2pdclient PRIVATE /FIstdafx.h /Yustdafx.h /Zm155 "/Fp${CMAKE_BINARY_DIR}/stdafx.dir/$<CONFIG>/stdafx.pch")
++ target_compile_options(libi2pdclient PRIVATE /FIstdafx.h /Yustdafx.h /Zm155 "/Fp${CMAKE_BINARY_DIR}/stdafx.dir/$<CONFIG>/stdafx.pch")
+ else()
+ string(TOUPPER ${CMAKE_BUILD_TYPE} BTU)
+ get_directory_property(DEFS DEFINITIONS)
+@@ -313,12 +319,12 @@ if (WITH_PCH)
+ COMMAND ${CMAKE_CXX_COMPILER} ${FLAGS} -c ${CMAKE_CURRENT_SOURCE_DIR}/../libi2pd/stdafx.h -o ${CMAKE_BINARY_DIR}/stdafx.h.gch
+ )
+ target_compile_options(libi2pd PRIVATE -include libi2pd/stdafx.h)
+- target_compile_options(i2pdclient PRIVATE -include libi2pd/stdafx.h)
++ target_compile_options(libi2pdclient PRIVATE -include libi2pd/stdafx.h)
+ endif()
+ target_link_libraries(libi2pd stdafx)
+ endif()
+
+-target_link_libraries(i2pdclient libi2pd)
++target_link_libraries(libi2pdclient libi2pd)
+
+ find_package ( Boost COMPONENTS system filesystem program_options date_time REQUIRED )
+ if(NOT DEFINED Boost_INCLUDE_DIRS)
+@@ -451,7 +457,7 @@ if (WITH_BINARY)
+ if (WITH_STATIC)
+ set(DL_LIB ${CMAKE_DL_LIBS})
+ endif()
+- target_link_libraries( "${PROJECT_NAME}" libi2pd i2pdclient ${DL_LIB} ${Boost_LIBRARIES} ${OPENSSL_LIBRARIES} ${ZLIB_LIBRARY} ${CMAKE_THREAD_LIBS_INIT} ${MINGW_EXTRA} ${DL_LIB} ${CMAKE_REQUIRED_LIBRARIES})
++ target_link_libraries( "${PROJECT_NAME}" libi2pd libi2pdclient ${DL_LIB} ${Boost_LIBRARIES} ${OPENSSL_LIBRARIES} ${ZLIB_LIBRARY} ${CMAKE_THREAD_LIBS_INIT} ${MINGW_EXTRA} ${DL_LIB} ${CMAKE_REQUIRED_LIBRARIES})
+
+ install(TARGETS "${PROJECT_NAME}" RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT Runtime)
+ set (APPS "\${CMAKE_INSTALL_PREFIX}/bin/${PROJECT_NAME}${CMAKE_EXECUTABLE_SUFFIX}")
+--
+2.14.1
+
--- /dev/null
+From 5fec22461a6d8d1045c849e468436b00ec7f9616 Mon Sep 17 00:00:00 2001
+From: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
+Date: Sun, 1 Apr 2018 20:11:21 +0200
+Subject: [PATCH] build/CMakeLists.txt: don't install source and license
+
+The CMakeLists.txt has the interesting (weird?) idea of installing the
+license to /usr/LICENSE and the source code to /usr/src/, which is a
+bit annoying. Let's not install such things.
+
+Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
+---
+ build/CMakeLists.txt | 30 ------------------------------
+ 1 file changed, 30 deletions(-)
+
+diff --git a/build/CMakeLists.txt b/build/CMakeLists.txt
+index a6736a0b..3de79f3e 100644
+--- a/build/CMakeLists.txt
++++ b/build/CMakeLists.txt
+@@ -473,36 +473,6 @@ if (WITH_BINARY)
+ endif ()
+ endif ()
+
+-install(FILES ../LICENSE
+- DESTINATION .
+- COMPONENT Runtime
+- )
+-# Take a copy on Appveyor
+-install(FILES "C:/projects/openssl-$ENV{OPENSSL}/LICENSE"
+- DESTINATION .
+- COMPONENT Runtime
+- RENAME LICENSE_OPENSSL
+- OPTIONAL # for local builds only!
+- )
+-
+-file(GLOB_RECURSE I2PD_SOURCES "../libi2pd/*.cpp" "../libi2pd_client/*.cpp" "../daemon/*.cpp" "../build" "../Win32" "../Makefile*")
+-install(FILES ${I2PD_SOURCES} DESTINATION src/ COMPONENT Source)
+-# install(DIRECTORY ../ DESTINATION src/
+-# # OPTIONAL
+-# COMPONENT Source FILES_MATCHING
+-# PATTERN .git EXCLUDE
+-# PATTERN "*.cpp"
+-# )
+-
+-file(GLOB I2PD_HEADERS "../libi2pd/*.h" "../libi2pd_client/*.h" "../daemon/*.h")
+-install(FILES ${I2PD_HEADERS} DESTINATION src/ COMPONENT Headers)
+-# install(DIRECTORY ../ DESTINATION src/
+-# # OPTIONAL
+-# COMPONENT Headers FILES_MATCHING
+-# PATTERN .git EXCLUDE
+-# PATTERN "*.h"
+-# )
+-
+ set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Purple I2P, a C++ I2P daemon")
+ set(CPACK_PACKAGE_VENDOR "Purple I2P")
+ set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/../README.md")
+--
+2.14.3
+
--- /dev/null
+config BR2_PACKAGE_I2PD
+ bool "i2pd"
+ depends on BR2_USE_MMU # fork()
+ depends on BR2_TOOLCHAIN_HAS_ATOMIC
+ # pthread_condattr_setclock
+ depends on BR2_TOOLCHAIN_HAS_THREADS_NPTL
+ depends on BR2_INSTALL_LIBSTDCPP
+ depends on BR2_USE_WCHAR # boost
+ depends on !BR2_TOOLCHAIN_HAS_GCC_BUG_64735 # exception_ptr
+ select BR2_PACKAGE_BOOST
+ select BR2_PACKAGE_BOOST_DATE_TIME
+ select BR2_PACKAGE_BOOST_FILESYSTEM
+ select BR2_PACKAGE_BOOST_PROGRAM_OPTIONS
+ select BR2_PACKAGE_BOOST_SYSTEM
+ select BR2_PACKAGE_OPENSSL
+ select BR2_PACKAGE_ZLIB
+ help
+ i2pd (I2P Daemon) is a full-featured C++ implementation of I2P
+ client.
+
+ I2P (Invisible Internet Protocol) is a universal anonymous
+ network layer.
+ All communications over I2P are anonymous and end-to-end
+ encrypted, participants don't reveal their real IP addresses.
+
+ http://i2pd.website
+
+comment "i2pd needs a toolchain w/ C++, NPTL, wchar"
+ depends on BR2_USE_MMU
+ depends on BR2_TOOLCHAIN_HAS_ATOMIC
+ depends on !BR2_INSTALL_LIBSTDCPP || \
+ !BR2_TOOLCHAIN_HAS_THREADS_NPTL || !BR2_USE_WCHAR
+
+comment "i2pd needs exception_ptr"
+ depends on BR2_USE_MMU
+ depends on BR2_TOOLCHAIN_HAS_ATOMIC
+ depends on BR2_TOOLCHAIN_HAS_GCC_BUG_64735
--- /dev/null
+#!/bin/sh
+
+NAME=i2pd
+PIDFILE=/var/run/$NAME.pid
+DAEMON=/usr/bin/$NAME
+DAEMON_ARGS="--conf=/etc/i2pd/i2pd.conf --tunconf=/etc/i2pd/tunnels.conf --pidfile=/var/run/i2pd.pid --logfile=/var/log/i2pd.log --daemon --service"
+
+start() {
+ printf "Starting $NAME: "
+ start-stop-daemon -S -q -m -b -p $PIDFILE --exec $DAEMON -- $DAEMON_ARGS
+ [ $? = 0 ] && echo "OK" || echo "FAIL"
+}
+stop() {
+ printf "Stopping $NAME: "
+ start-stop-daemon -K -q -p $PIDFILE
+ [ $? = 0 ] && echo "OK" || echo "FAIL"
+}
+restart() {
+ stop
+ start
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart|reload)
+ restart
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+esac
+
+exit $?
--- /dev/null
+# Locally computed:
+sha256 8834190418de0c4e56c46eb8b9dc4422ef14f1ad7d6591e9daae99493bf7170e i2pd-2.18.0.tar.gz
+sha256 d147a6acdaf8ec9f6513802ef6cad4a4afcdb5ab6b98d9f6bb26d2b7f4cf454c LICENSE
--- /dev/null
+################################################################################
+#
+# i2pd
+#
+################################################################################
+
+I2PD_VERSION = 2.18.0
+I2PD_SITE = $(call github,PurpleI2P,i2pd,$(I2PD_VERSION))
+I2PD_LICENSE = BSD-3-Clause
+I2PD_LICENSE_FILES = LICENSE
+I2PD_SUBDIR = build
+I2PD_DEPENDENCIES = \
+ boost \
+ openssl \
+ zlib
+
+I2PD_CONF_OPTS += -DWITH_GUI=OFF
+
+# Before CMake 3.10, passing THREADS_PTHREAD_ARG=OFF was needed to
+# disable a try_run() call in the FindThreads tests, which caused a
+# build failure when cross-compiling.
+I2PD_CONF_OPTS += -DTHREADS_PTHREAD_ARG=OFF
+
+ifeq ($(BR2_STATIC_LIBS),y)
+I2PD_CONF_OPTS += -DWITH_STATIC=ON
+else
+I2PD_CONF_OPTS += -DWITH_STATIC=OFF
+endif
+
+ifeq ($(BR2_PACKAGE_LIBMINIUPNPC),y)
+I2PD_DEPENDENCIES += libminiupnpc
+I2PD_CONF_OPTS += -DWITH_UPNP=ON
+else
+I2PD_CONF_OPTS += -DWITH_UPNP=OFF
+endif
+
+define I2PD_INSTALL_CONFIGURATION_FILES
+ $(INSTALL) -D -m 644 $(@D)/contrib/i2pd.conf \
+ $(TARGET_DIR)/etc/i2pd/i2pd.conf
+ $(INSTALL) -D -m 644 $(@D)/contrib/tunnels.conf \
+ $(TARGET_DIR)/etc/i2pd/tunnels.conf
+ mkdir -p $(TARGET_DIR)/var/lib/i2pd
+ cp -a $(@D)/contrib/certificates $(TARGET_DIR)/var/lib/i2pd
+endef
+
+define I2PD_USERS
+ i2pd -1 i2pd -1 * /var/lib/i2pd - - I2P Daemon
+endef
+
+define I2PD_INSTALL_INIT_SYSV
+ $(INSTALL) -D -m 0755 package/i2pd/S99i2pd \
+ $(TARGET_DIR)/etc/init.d/S99i2pd
+endef
+
+define I2PD_INSTALL_INIT_SYSTEMD
+ $(INSTALL) -D -m 644 package/i2pd/i2pd.service \
+ $(TARGET_DIR)/usr/lib/systemd/system/i2pd.service
+ mkdir -p $(TARGET_DIR)/etc/systemd/system/multi-user.target.wants
+ ln -sf ../../../../usr/lib/systemd/system/i2pd.service \
+ $(TARGET_DIR)/etc/systemd/system/multi-user.target.wants/i2pd.service
+endef
+
+$(eval $(cmake-package))
--- /dev/null
+[Unit]
+Description=I2P Router written in C++
+After=network.target
+
+[Service]
+User=i2pd
+Group=i2pd
+RuntimeDirectory=i2pd
+RuntimeDirectoryMode=0700
+LogsDirectory=i2pd
+LogsDirectoryMode=0700
+Type=simple
+ExecStart=/usr/bin/i2pd --conf=/etc/i2pd/i2pd.conf --tunconf=/etc/i2pd/tunnels.conf --pidfile=/run/i2pd/i2pd.pid --logfile=/var/log/i2pd/i2pd.log --daemon --service
+ExecReload=/bin/kill -HUP $MAINPID
+PIDFile=/run/i2pd/i2pd.pid
+### Uncomment, if auto restart needed
+#Restart=on-failure
+
+### Use SIGINT for graceful stop daemon.
+# i2pd stops accepting new tunnels and waits ~10 min while old ones do not die.
+KillSignal=SIGINT
+TimeoutStopSec=10m
+
+# If you have problems with hanging i2pd, you can try enable this
+#LimitNOFILE=4096
+PrivateDevices=yes
+
+[Install]
+WantedBy=multi-user.target